org.apache.ignite.internal.processors.cache.query.reducer

## Class CacheQueryReducer<T>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.GridIteratorAdapter<T>
  - - org.apache.ignite.internal.processors.cache.query.reducer.CacheQueryReducer<T>

All Implemented Interfaces:
  Serializable, Iterable<T>, Iterator<T>, GridSerializableIterator<T>, GridIterator<T>

Direct Known Subclasses:
  IndexQueryReducer, TextQueryReducer, UnsortedCacheQueryReducer

    public abstract class CacheQueryReducer<T>
    extends GridIteratorAdapter<T>

This abstract class is base class for cache query reducers. They are responsible for reducing results of cache query. <T> is a type of cache query result item.

See Also:
  Serialized Form

### Field Summary

Fields
`protected Map<UUID,NodePageStream<T>>` `pageStreams` Page streams collection.

### Constructor Summary

Constructors
`protected` `CacheQueryReducer(Map<UUID,NodePageStream<T>> pageStreams)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static <T> T` `get(CompletableFuture<?> fut)`
`void` `removeX()` This method is the same as `Iterator.remove()`, but allows for failure with exception.

### Methods inherited from class org.apache.ignite.internal.util.lang.GridIteratorAdapter

`hasNext, iterator, next, remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.util.lang.GridIterator

`hasNextX, nextX`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Field Detail

#### pageStreams

    protected final Map<UUID,NodePageStream<T>> pageStreams

Page streams collection.

### Constructor Detail

#### CacheQueryReducer

    protected CacheQueryReducer(Map<UUID,NodePageStream<T>> pageStreams)

### Method Detail

#### removeX

    public void removeX()
                 throws IgniteCheckedException

This method is the same as `Iterator.remove()`, but allows for failure with exception.

Throws:
  `IgniteCheckedException` - If failed.

#### get

    public static <T> T get(CompletableFuture<?> fut)
                     throws IgniteCheckedException

Returns:
  Object that completed the specified future.
Throws:
  `IgniteCheckedException` - for all failures.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022